#!/bin/sh

ns=""
n="1 2 3 4 5"

mkfifo in out 2> /dev/null

echo ""
echo "Please, make sure that you set the correct path to ns into the"
echo "variable \$ns of this script"
echo ""
echo "If you did not, press ^C to cancel the execution of this script"
echo "Otherwise, press any key to continue"
echo ""

read -n 1 -s

echo "Ok, simulations started"

date >> log
for i in $n ; do
	echo "save savefile/wifi.$i" > config.tmp
	echo "trailer $i" >> config.tmp
	cat config.txt >> config.tmp
	echo "Starting analyze for scenario $i"
	../../analyze config.tmp out in >&/dev/null &
	sleep 1
	echo "Starting loader for scenario $i"
	../../loader in out $ns wifi.tcl -n $i -radius 0 >&/dev/null
	/bin/rm config.tmp
	echo "Done with scenario $i"
done
date >> log

echo "Done. Check plot files in the 'output' directory"
